package com.ximai.mes.md.domain;

import com.ximai.common.core.domain.BaseEntity;

/**
 * 产品版面颜色
 * @TableName md_face_color
 */

public class MdFaceColor extends BaseEntity {
    /**
     * 产品颜色ID
     */
    private Long mdFaceColorId;

    /**
     * 产品版面ID
     */
    private String mdFaceId;

    /**
     * 颜色ID
     */
    private Long colorId;

    /**
     * 覆盖率(单位%)
     */
    private Double coverageRate;

    /**
     * 排序序号
     */
    private Integer sortOrder;

    /**
     * 产品id
     */
    private Long itemId;

    /**
     * 正反面：正面 front  反面 back
     */
    private String face;

    private static final long serialVersionUID = 1L;

    public Long getMdFaceColorId() {
        return mdFaceColorId;
    }

    public void setMdFaceColorId(Long mdFaceColorId) {
        this.mdFaceColorId = mdFaceColorId;
    }

    public String getMdFaceId() {
        return mdFaceId;
    }

    public void setMdFaceId(String mdFaceId) {
        this.mdFaceId = mdFaceId;
    }

    public Long getColorId() {
        return colorId;
    }

    public void setColorId(Long colorId) {
        this.colorId = colorId;
    }

    public Double getCoverageRate() {
        return coverageRate;
    }

    public void setCoverageRate(Double coverageRate) {
        this.coverageRate = coverageRate;
    }

    public Integer getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getFace() {
        return face;
    }

    public void setFace(String face) {
        this.face = face;
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", mdFaceColorId=").append(mdFaceColorId);
        sb.append(", mdFaceId=").append(mdFaceId);
        sb.append(", colorId=").append(colorId);
        sb.append(", coverageRate=").append(coverageRate);
        sb.append(", sortOrder=").append(sortOrder);
        sb.append(", itemId=").append(itemId);
        sb.append(", face=").append(face);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
